package TiVo::Slice;

use strict;

our $VERSION =
    (split / /, q$Id: Slice.pm,v 1.2 2001/12/02 11:01:38 grant Exp $)[2];

sub new {
    my $class = shift;
    my $self = {};
    bless $self, $class;

    $self->{records} = {};
    $self->{slice} = pack('C', 0x03);

    return $self;
}

sub add {
    my $self = shift;
    my $record = shift;
    my $id = $record->id;
    $self->{records}->{$id} = $record;
}

sub value {
    my $self = shift;
    # return them in server id order (pretty!)
    for my $id (sort { $a <=> $b } keys %{$self->{records}}) {
        $self->{slice} .= $self->{records}->{$id}->value;
    }
    return $self->{slice};
}

1;

